.menu {
    width: 200px;
    border-radius: 8px;
    overflow: hidden;
}

.item {
    border-top: 1px solid #0f6fb3;
    overflow: hidden;
}

.btn {
    display: block;
    padding: 10px 5px;
    background: #0f6fb3;
    color: white;
    position: relative;
}

.btn::before {
    content: "";
    position: absolute;
    width: 10px;
    height: 10px;
    background: #0f6fb3;
    left: 5px;
    bottom: -7px;
    transform: rotate(45deg);
}

.btn i {
    margin-right: 1px;
}

.smenu {
    background: #0f6fb3;
    overflow: hidden;
    transition: max-height 0.3s;
    max-height: 0;
}

.smenu a {
    display: block;
    padding: 10px 20px;
    color: white;
    margin: 4px 0;
    position: relative;
}

.smenu a::before {
    content: "";
    position: absolute;
    width: 6px;
    height: 50%;
    background: #f3f6f4;
    left: 0;
    top: 0;
    transition: .3s;
    opacity: 0;
}

.smenu a:hover::before {
    opacity: 1;
}

.item:target .smenu {
    max-height: 10em;
}